<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

 <!-- we basically want to copy everything except for a few targets that no longer apply -->
  <xsl:output method="xml"/>

  <!-- for some reason, the default copy-of doesn't copy empty attributes, so have this to get the empty arg1 in equals-->
  <xsl:template match="project|condition|and|isset|equals|not|or">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>
      
  <!-- delete the unnecessary targets -->
  <xsl:template match="target[starts-with(@name, 'prepare')]"></xsl:template>
  <xsl:template match="target[starts-with(@name, 'cvsupdate')]"></xsl:template>
  <xsl:template match="target[starts-with(@name, 'update')]"></xsl:template>
  <xsl:template match="target[starts-with(@name, 'checkout')]"></xsl:template>
  <xsl:template match="target[starts-with(@name, 'rename-gs2build')]"></xsl:template>
  <xsl:template match="target[@name='test']"></xsl:template>
  <xsl:template match="target[@name='get-macos-extra']"></xsl:template>
  <xsl:template match="target[@name='get-windows-binaries']"></xsl:template>
  
  <xsl:template match="property[@name='install-command']">
    <property name="install-command" value="ant [options] install"/>
  </xsl:template>

  <xsl:variable name="install-for-dist" select="document('dist-build.xml')/project/target[@name='install-for-source-dist']"/>
  
  <!-- copy in our new install target -->
  <xsl:template match="target[@name='install']">
    <target name="install">
      <xsl:copy-of select="$install-for-dist/@depends|$install-for-dist/@description|$install-for-dist/@if|$install-for-dist/@unless|$install-for-dist/node()"/>
    </target>
  </xsl:template>

  <xsl:template match="*">
    <xsl:copy-of select="."/>
  </xsl:template>

  <xsl:template match="comment()">
    <xsl:copy-of select="."/>
    <xsl:text>
</xsl:text>
  </xsl:template>
    
</xsl:stylesheet>
